reaper.Undo_BeginBlock()

reaper.Main_OnCommand(reaper.NamedCommandLookup("_SWS_SAVEMUTES"), 0); -- store mutes

---

tr = reaper.GetSelectedTrack(0, 0) 
s = reaper.GetMediaTrackInfo_Value(tr, "I_SOLO") -- is track soloed?
reaper.Main_OnCommand(40341, 0) -- mute all tracks
reaper.Main_OnCommand(40340, 0) -- unsolo all tracks

if (s ~= 0) then -- track is soloed    
  reaper.SetMediaTrackInfo_Value(tr, "I_SOLO", 0) -- unsolo track
end

if (s == 0) then -- track is not soloed    
  reaper.SetMediaTrackInfo_Value(tr, "I_SOLO", 2) -- solo in place
end

---

reaper.Main_OnCommand(40339, 0) -- unmute all tracks
reaper.Main_OnCommand(reaper.NamedCommandLookup("_SWS_RESTRMUTES"), 0) -- recall mutes

reaper.Undo_EndBlock("Script: Solo track exclusively", -1)


